%define url_ver %(echo %{version}|cut -d. -f1,2)

%define gir_major 3.0
%define major 0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{gir_major}
%define develname %mklibname -d %{name}

Summary:	Mutter window manager
Name:		mutter
Version:	3.16.4
Release:	1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://ftp.gnome.org/pub/gnome/sources/mutter/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/mutter/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		mutter-3.16-overlay-key-pressed.patch 
Patch1:		mutter-3.8.3-fullscreen-flash-player.patch

BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	intltool
BuildRequires:	zenity
BuildRequires:	gnome-common gtk-doc
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.11.3
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(xkbcommon-x11)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(xkbfile)

Requires: GConf2
Requires: zenity
Requires: typelib(Meta)

%description
Mutter is a simple window manager that integrates nicely with 
GNOME 2.

%package -n %{libname}
Summary:	Libraries for Mutter
Group:		System/Libraries
Obsoletes:	%{_lib}mutter-private0 < %{version}

%description -n %{libname}
This package contains libraries used by Mutter.

%package -n %{girname}
Summary: GObject Introspection interface description for %{name}
Group: System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary:	Libraries and include files with Mutter
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name}-private 0
Obsoletes:	%{_lib}mutter-private-devel < %{version}

%description -n %{develname}
This package provides the necessary development libraries and include 
files to allow you to develop with Mutter.

%prep
%setup -q
%apply_patches

%build
if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi;

%configure2_5x \
	--disable-static \
	--disable-scrollkeeper \
	--enable-compile-warnings=no

%make LIBS="-lXrender"

%install
%makeinstall_std
%find_lang %{name} 

%files -f %{name}.lang
%doc COPYING NEWS
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/GConf/gsettings/mutter-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.wayland.gschema.xml
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/applications/mutter-wayland.desktop
%{_datadir}/gtk-doc/
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/default.so
%{_libdir}/mutter-restart-helper
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{girname}
%{_libdir}/%{name}/Meta-%{gir_major}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/%{name}/Meta-%{gir_major}.gir


%changelog

* Tue Feb 02 2016 Tigro <ashejn@gmail.com> 3.16.4-1
- (e784ac8) update to 3.16.4

* Wed Dec 23 2015 Tigro <ashejn@gmail.com> 3.16.3-2
- (51618e9) decrease release

* Wed Dec 23 2015 Tigro <ashejn@gmail.com> 3.16.3-7
- (c315b96) bump release

* Tue Dec 22 2015 Stas Fomin <stas-fomin@yandex.ru> 3.16.3-6
- (e293446) makes overlay-hold-event-patch for mutter 3.16
- (Stas Fomin: 31d4d53) makes overlay-hold-event-patch for mutter 3.16

* Fri Jul 03 2015 Tigro <ashejn@yandex-team.ru> 3.16.3-1
- (2a30f3d) update to 3.16.3

* Fri May 15 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-1
- (9e21e2d) update to 3.16.2

* Thu Apr 16 2015 Tigro <ashejn@yandex-team.ru> 3.16.1.1-1
- (3cd4969) update to 3.16.1.1

* Wed Apr 15 2015 Tigro <ashejn@gmail.com> 3.16.1-1
- (aec723e) update to 3.16.1

* Tue Mar 24 2015 Tigro <ashejn@gmail.com> 3.16.0-1
- (671e38e) update to 3.16.0

* Tue Mar 17 2015 Tigro <ashejn@gmail.com> 3.15.92-1
- (d279e9c) update to 3.15.92

* Tue Mar 10 2015 Tigro <ashejn@yandex-team.ru> 3.15.91-1
- (20dd6e3) Oh, Shoot mutter
- (Tigro: d127443) drop changelog
- (Tigro: 363835c) drop desktop file
- (Tigro: 06b54fb) pack files
- (Tigro: ad5a445) added link with Xrender
- (Tigro: 72d18cb) more buildrequires
- (Tigro: 1395fa4) update to 3.15.91

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.2-3
- (62fcbc3) MassBuild#440: Increase release tag

* Tue Jun 03 2014 Tigro <ashejn@gmail.com> 3.12.2-2
- (39365c8) bump release to rebuilt

* Fri May 16 2014 Tigro <ashejn@gmail.com> 3.12.2-1
- (199fdcd) update to 3.12.2

* Thu Apr 24 2014 Tigro <ashejn@gmail.com> 3.12.1-1
- (0209cbb) update to 3.12.1

* Wed Apr 16 2014 Tigro <ashejn@gmail.com> 3.12.0-2
- (c0ed450) apply overlay-key-pressed patch

* Wed Apr 16 2014 Tigro <ashejn@gmail.com> 3.12.0-1
- (7dc5fb1) drop mutter datadir
- (Tigro: 143a977) added some BuildRequires
- (Tigro: d6b6356) drop overlay-key patch
- (Tigro: 2f28c53) update to 3.12.0

* Fri Feb 21 2014 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 3.8.4-4
- (34789fe) Updated overlay key holded patch to ignore Win+Left Click window
- (34789fe) movement.

* Tue Dec 31 2013 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 3.8.4-3
- (02e6ebe) Added patch with overlay-key holding signal implementation

* Mon Oct 28 2013 Tigro <ashejn@gmail.com> 3.8.4-2
- (b05690c) support fullscreen flash video


